package ttf-mscorefonts-installer 3.0 failed to install/upgrade

Bug #464422 reported by pezzacolori on 2009-10-30
This bug affects 1227 people
Affects Status Importance Assigned to Milestone
Baltix
Undecided
Unassigned
msttcorefonts (Debian)
Fix Released
Unknown
msttcorefonts (Ubuntu)
Critical
rolfgoedecke
Nominated for Karmic by Alex Arrieche

Bug Description

Binary package hint: update-manager

I upgraded my Desktop ubuntu from jaunty to karmic.
During the upgrade I got the message "could not install ttf-mscorefonts-installer".
I proceeded.
At the end of the installation step (before cleaning step), I got again an error message about this ttf-mscorefonts-installer.
Apport proposed to send informations to you.
I said yes.
Started collecting info ... but didn't finish.
I pressed cancel (to apport)
After a while I got a message saying that the upgrade was broken, and to try a dpkg --configure -a .
The upgrade stopped.
I attache the /var/log/dist-upgrades/ logs.

I tried dpkg --configure -a, but it could not connect to the internet. So probably during the upgrade the connection to internet was lost (even if the NetworkManager Applet say there was one active connection).
So after rebooting I could connect to the internet and execute successfully dpkg --configure -a, which installed the fonts.

Is it possible to resume the upgrade to finish it (End of Installation step + Cleaning step) ?

pezzacolori (pezzacolori) wrote :
affects: update-manager (Ubuntu) → msttcorefonts (Ubuntu)
Mantas Kriaučiūnas (mantas) wrote :

Problem appears because ttf-mscorefonts-installer always tries to download fonts from internet servers, without asking if user wants to do this. This problem is related to bug #84453. Few years ago msttcorefonts always asked user before downloading fonts, but Debian or Ubuntu developers changed this behavior and now lots of users run into problems because of this.
I just tried to upgrade my Ubuntu 9.04 "Jaunty" to 9.10 "Karmic" and upgrading procedure failed because of bad ttf-mscorefonts-installer behavior - I disconnected my computer from internet access after update-manager downloaded all needed karmic packages.

So, ttf-mscorefonts-installer should ask if user wanna get non-free fonts from internet during installation/configuration of package ttf-mscorefonts-installer and also package shouldn't return an error if there are no access to corefonts download servers - I think ttf-mscorefonts-installer should display a dialog with buttons "Try again" and "Download later" (run dpkg-reconfigure ttf-mscorefonts-installer when you will have internet connection).
This would fix not only this bug, but also lots of similar bugs, reported by ubuntu users, for example bug #319623, bug #246902, bug #453366, bug #464422, bug #464365, bug #464322 and several others, see https://launchpad.net/ubuntu/+source/msttcorefonts/+bugs

kvaml (kvamlnk) wrote :

I deleted a non-essential package (wifi-radar) through synaptic. The Internet connection was working then and
the ttf-mscorefonts-installer ran successfully as part of the cleanup.

luca (llucax) wrote :

I had a similar problem because I was using an apt proxy to download the packages. Because of this, the ttf-mscorefonts-installer package wanted to use the apt proxy to download the fonts, but the proxy is Debian-packages-specific, so it couldn't handle the ms fonts downloads, making the installation fail, even when a good working internet connection was available.

I did a:
dpkg-reconfigure -plow --force ttf-mscorefonts-installer

to remove the proxy from the settings and the package was installed successfully.

Good Morning

Yep worked perfect

Thanks for the work around

Cheers
chipppy

-----Original Message-----
From: luca <email address hidden>
Reply-to: Bug 464422 <email address hidden>
To: <email address hidden>
Subject: [Bug 464422] Re: fail to complete upgrade jaunty > karmic
ttf-mscorefonts-installer
Date: Sat, 31 Oct 2009 16:47:28 -0000

dpkg-reconfigure -plow --force ttf-mscorefonts-installer

Work around

sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer

delete the proxy address 'http:// :8080' when asked and all works fine, including the downloadfrom the net

dpkg don't work for me

it's okay now , since i have change line 148 of
/var/lib/dpkg/info/ttf-mscorefonts-installer.postinst

if ! wget --continue --tries=1 --dns-timeout=10 --connect-timeout=5
--read-timeout=300 $QUIET_ARG --directory-prefix . --no-directories
--no-background $URLROOT$ff ; then

with

if ! wget --continue --tries=1 --connect-timeout=5 --read-timeout=300
$QUIET_ARG --directory-prefix . --no-directories --no-background
$URLROOT$ff ; then

IS

-------- Original Message --------
Subject: Re: [Bug 464422] Re: fail to complete upgrade jaunty > karmic
ttf-mscorefonts-installer
From: chipppy <email address hidden>
To: <email address hidden>
Date: Sun 01 Nov 2009 12:03:35 PM CET

> Good Morning
>
> Yep worked perfect
>
> Thanks for the work around
>
> Cheers
> chipppy
>
> -----Original Message-----
> From: luca <email address hidden>
> Reply-to: Bug 464422 <email address hidden>
> To: <email address hidden>
> Subject: [Bug 464422] Re: fail to complete upgrade jaunty > karmic
> ttf-mscorefonts-installer
> Date: Sat, 31 Oct 2009 16:47:28 -0000
>
> dpkg-reconfigure -plow --force ttf-mscorefonts-installer
>

dpkg-reconfigure -plow --force ttf-mscorefonts-installer
to remove the proxy from the settings works perfect!
Thanks a lot, guys!

I tried

sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer

without proxy, but none of the http included in the script was successful

however direct http connexion to the firs of these url was successful

Rich Magahiz (milkfish) wrote :

Thanks, removing the --dns-timeout and running the dpkg-reconfigure seems to get around the problem of some slow servers at this time. voxel.dl.sourceforge.net at 72.26.192.194 seems to be serving up all those files for me.

dpkg-reconfigure -plow --force ttf-mscorefonts-installer

worked for me too!
Super!

Jana schrieb:
> dpkg-reconfigure -plow --force ttf-mscorefonts-installer
> to remove the proxy from the settings works perfect!
> Thanks a lot, guys!
>
>

Changed in msttcorefonts (Ubuntu):
importance: Undecided → Critical
status: New → Triaged
MarcRandolph (mrand) on 2009-11-02
summary: - fail to complete upgrade jaunty > karmic ttf-mscorefonts-installer
+ package ttf-mscorefonts-installer 3.0 failed to install/upgrade

Removing the dns timeout fixed it for me, too. Thanks.

Hi,
I went to synaptic package mangaer and remove ttf-mscorefonts-installer.
Hope that fixes your problem

2009/11/3 Mantas Kriaučiūnas <email address hidden>

> ** Also affects: msttcorefonts (Debian) via
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=549882
> Importance: Unknown
> Status: Unknown
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “msttcorefonts” package in Ubuntu: Triaged
> Status in Baltix GNU/Linux: New
> Status in “msttcorefonts” package in Debian: Unknown
>
> Bug description:
> Binary package hint: update-manager
>
> I upgraded my Desktop ubuntu from jaunty to karmic.
> During the upgrade I got the message "could not install
> ttf-mscorefonts-installer".
> I proceeded.
> At the end of the installation step (before cleaning step), I got again an
> error message about this ttf-mscorefonts-installer.
> Apport proposed to send informations to you.
> I said yes.
> Started collecting info ... but didn't finish.
> I pressed cancel (to apport)
> After a while I got a message saying that the upgrade was broken, and to
> try a dpkg --configure -a .
> The upgrade stopped.
> I attache the /var/log/dist-upgrades/ logs.
>
> I tried dpkg --configure -a, but it could not connect to the internet. So
> probably during the upgrade the connection to internet was lost (even if the
> NetworkManager Applet say there was one active connection).
> So after rebooting I could connect to the internet and execute successfully
> dpkg --configure -a, which installed the fonts.
>
> Is it possible to resume the upgrade to finish it (End of Installation
> step + Cleaning step) ?
>

--
Regards,
Pradeep Nayak

http://techgyan.im

stone (stoneshao) wrote :
Download full text (3.5 KiB)

It update successfully today. thanks all.

On Tue, Nov 3, 2009 at 4:04 PM, Pradeep <email address hidden> wrote:

> Hi,
> I went to synaptic package mangaer and remove ttf-mscorefonts-installer.
> Hope that fixes your problem
>
> 2009/11/3 Mantas Kriaučiūnas <email address hidden>
>
> > ** Also affects: msttcorefonts (Debian) via
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=549882
> > Importance: Unknown
> > Status: Unknown
> >
> > --
> > package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> > https://bugs.launchpad.net/bugs/464422
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug.
> >
> > Status in “msttcorefonts” package in Ubuntu: Triaged
> > Status in Baltix GNU/Linux: New
> > Status in “msttcorefonts” package in Debian: Unknown
> >
> > Bug description:
> > Binary package hint: update-manager
> >
> > I upgraded my Desktop ubuntu from jaunty to karmic.
> > During the upgrade I got the message "could not install
> > ttf-mscorefonts-installer".
> > I proceeded.
> > At the end of the installation step (before cleaning step), I got again
> an
> > error message about this ttf-mscorefonts-installer.
> > Apport proposed to send informations to you.
> > I said yes.
> > Started collecting info ... but didn't finish.
> > I pressed cancel (to apport)
> > After a while I got a message saying that the upgrade was broken, and to
> > try a dpkg --configure -a .
> > The upgrade stopped.
> > I attache the /var/log/dist-upgrades/ logs.
> >
> > I tried dpkg --configure -a, but it could not connect to the internet. So
> > probably during the upgrade the connection to internet was lost (even if
> the
> > NetworkManager Applet say there was one active connection).
> > So after rebooting I could connect to the internet and execute
> successfully
> > dpkg --configure -a, which installed the fonts.
> >
> > Is it possible to resume the upgrade to finish it (End of Installation
> > step + Cleaning step) ?
> >
>
>
> --
> Regards,
> Pradeep Nayak
>
> http://techgyan.im
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “msttcorefonts” package in Ubuntu: Triaged
> Status in Baltix GNU/Linux: New
> Status in “msttcorefonts” package in Debian: Unknown
>
> Bug description:
> Binary package hint: update-manager
>
> I upgraded my Desktop ubuntu from jaunty to karmic.
> During the upgrade I got the message "could not install
> ttf-mscorefonts-installer".
> I proceeded.
> At the end of the installation step (before cleaning step), I got again an
> error message about this ttf-mscorefonts-installer.
> Apport proposed to send informations to you.
> I said yes.
> Started collecting info ... but didn't finish.
> I pressed cancel (to apport)
> After a while I got a message saying that the upgrade was broken, and to
> try a dpkg --configure -a .
> The upgrade stopped.
> I attache the /var/log/dist-upgrades/ logs.
>
> I tried dpkg --configure -a, but it could not connect to the internet. So
> probably during the upgrade the conne...

Read more...

johe (johe-stephan) wrote :

Just one thing i mentioned.
The network connection seems to be very slow since the update. So maybe just wget gets an timeout?

Changed in msttcorefonts (Debian):
status: Unknown → New
MeMySelf (hans-essoussi) wrote :
Download full text (8.9 KiB)

Hi,
Here a log-output from when I tried the dpkg-reconfigure
It does not solve my problem.

//Hans

>sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer

These fonts were provided by Microsoft "in the interest of cross-
platform compatibility". This is no longer the case, but they are
still available from third parties.

You are free to download these fonts and use them for your own use,
but you may not redistribute them in modified form, including changes
to the file name or packaging format.

--2009-11-04 14:03:48--
http://downloads.sourceforge.net/corefonts/andale32.exe
Resolving downloads.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `downloads.sourceforge.net'
--2009-11-04 14:03:58--
http://switch.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving switch.dl.sourceforge.net... 130.59.138.21, 2001:620:0:1b::21
Connecting to switch.dl.sourceforge.net|130.59.138.21|:80... connected.
HTTP request sent, awaiting response... 302 Found
Location:
http://downloads.sourceforge.net/sourceforge/corefonts/andale32.exe?download&failedmirror=switch.dl.sourceforge.net[following]
--2009-11-04 14:03:59--
http://downloads.sourceforge.net/sourceforge/corefonts/andale32.exe?download&failedmirror=switch.dl.sourceforge.net
Resolving downloads.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `downloads.sourceforge.net'
--2009-11-04 14:04:09--
http://mesh.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving mesh.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `mesh.dl.sourceforge.net'
--2009-11-04 14:04:19--
http://dfn.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving dfn.dl.sourceforge.net... 194.95.236.6
Connecting to dfn.dl.sourceforge.net|194.95.236.6|:80... connected.
HTTP request sent, awaiting response... 302 Found
Location:
http://downloads.sourceforge.net/sourceforge/corefonts/andale32.exe?download&failedmirror=dfn.dl.sourceforge.net[following]
--2009-11-04 14:04:19--
http://downloads.sourceforge.net/sourceforge/corefonts/andale32.exe?download&failedmirror=dfn.dl.sourceforge.net
Resolving downloads.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `downloads.sourceforge.net'
--2009-11-04 14:04:29--
http://heanet.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving heanet.dl.sourceforge.net... 193.1.193.66,
2001:770:18:aa40::c101:c142
Connecting to heanet.dl.sourceforge.net|193.1.193.66|:80... connected.
HTTP request sent, awaiting response... 302 Found
Location:
http://downloads.sourceforge.net/sourceforge/corefonts/andale32.exe?download&failedmirror=heanet.dl.sourceforge.net[following]
--2009-11-04 14:04:29--
http://downloads.sourceforge.net/sourceforge/corefonts/andale32.exe?download&failedmirror=heanet.dl.sourceforge.net
Resolving downloads.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `downloads.sourceforge.net'
--2009-11-04 14:04:39--
http://jaist.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving jaist.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host addr...

Read more...

klingelheller (klingelheller) wrote :
Download full text (3.6 KiB)

same problem, workaround does not fix it. only deleting the installation attemp helps.

These fonts were provided by Microsoft "in the interest of cross-
platform compatibility". This is no longer the case, but they are
still available from third parties.

You are free to download these fonts and use them for your own use,
but you may not redistribute them in modified form, including changes
to the file name or packaging format.

--2009-11-04 17:19:14-- http://downloads.sourceforge.net/corefonts/andale32.exe
Auflösen des Hostnamen »downloads.sourceforge.net«.... fehlgeschlagen: Connection timed out.
wget: kann die Host-Adresse »downloads.sourceforge.net« nicht auflösen
--2009-11-04 17:19:24-- http://switch.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Auflösen des Hostnamen »switch.dl.sourceforge.net«.... fehlgeschlagen: Connection timed out.
wget: kann die Host-Adresse »switch.dl.sourceforge.net« nicht auflösen
--2009-11-04 17:19:34-- http://mesh.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Auflösen des Hostnamen »mesh.dl.sourceforge.net«.... fehlgeschlagen: Connection timed out.
wget: kann die Host-Adresse »mesh.dl.sourceforge.net« nicht auflösen
--2009-11-04 17:19:44-- http://dfn.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Auflösen des Hostnamen »dfn.dl.sourceforge.net«.... fehlgeschlagen: Connection timed out.
wget: kann die Host-Adresse »dfn.dl.sourceforge.net« nicht auflösen
--2009-11-04 17:19:54-- http://heanet.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Auflösen des Hostnamen »heanet.dl.sourceforge.net«.... fehlgeschlagen: Connection timed out.
wget: kann die Host-Adresse »heanet.dl.sourceforge.net« nicht auflösen
--2009-11-04 17:20:04-- http://jaist.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Auflösen des Hostnamen »jaist.dl.sourceforge.net«.... fehlgeschlagen: Connection timed out.
wget: kann die Host-Adresse »jaist.dl.sourceforge.net« nicht auflösen
--2009-11-04 17:20:14-- http://nchc.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Auflösen des Hostnamen »nchc.dl.sourceforge.net«.... fehlgeschlagen: Connection timed out.
wget: kann die Host-Adresse »nchc.dl.sourceforge.net« nicht auflösen
--2009-11-04 17:20:24-- http://ufpr.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Auflösen des Hostnamen »ufpr.dl.sourceforge.net«.... fehlgeschlagen: Connection timed out.
wget: kann die Host-Adresse »ufpr.dl.sourceforge.net« nicht auflösen
--2009-11-04 17:20:34-- http://internode.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Auflösen des Hostnamen »internode.dl.sourceforge.net«.... fehlgeschlagen: Connection timed out.
wget: kann die Host-Adresse »internode.dl.sourceforge.net« nicht auflösen
--2009-11-04 17:20:44-- http://voxel.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Auflösen des Hostnamen »voxel.dl.sourceforge.net«.... fehlgeschlagen: Connection timed out.
wget: kann die Host-Adresse »voxel.dl.sourceforge.net« nicht auflösen
--2009-11-04 17:20:54-- http://kent.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Auflösen des Hostnamen »kent.dl.sourceforge.net«.... fehlgeschlagen: Connection timed out.
wget: kann die Host-Adresse »kent.dl.sourceforge....

Read more...

Andreas Schopf (andymcschopf) wrote :

I solved the problem with following actions:

1. In /etc/dhcp3/dhclient.conf add the following line:
prepend domain-name-servers 208.67.222.222,208.67.220.220;
2. In /etc/nsswitch.conf edit this line
hosts: files mdns4_minimal [NOTFOUND=return] dns mdns4
to this
hosts: files dns

After that and a reconnect of my network the ttf-mscorefonts-installer worked fine. solved also the problem, that it needed about 20 seconds to start the apt-get update and upgrade... seems for me a dns problem with ipv6...

This worked for me perfect:

1. In /etc/dhcp3/dhclient.conf add the following line:
prepend domain-name-servers 208.67.222.222,208.67.220.220;
2. In /etc/nsswitch.conf edit this line
hosts: files mdns4_minimal [NOTFOUND=return] dns mdns4
to this
hosts: files dns

Thanks for the work around, Andreas

9.10 ... It takes 45 seconds to connect to any web site now. s-l-o-w
Whats th deal?
Jerrel

Using Firefox?
then do this:
about:config
-> network.dns.disableIPv6 -> true
schould work fine ;-)

Andy

2009/11/5 Jerrel V <email address hidden>

> 9.10 ... It takes 45 seconds to connect to any web site now. s-l-o-w
> Whats th deal?
> Jerrel
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

johe (johe-stephan) wrote :

What i can say is,
the DNS configuration on my system changed to 127.0.0.1 and my local system
is much to slow to to the dns for web services. So the delay in the wget
command happens. Can anybody confirm this behaviour?

2009/11/5 Jerrel V <email address hidden>

> 9.10 ... It takes 45 seconds to connect to any web site now. s-l-o-w
> Whats th deal?
> Jerrel
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “msttcorefonts” package in Ubuntu: Triaged
> Status in Baltix GNU/Linux: New
> Status in “msttcorefonts” package in Debian: New
>
> Bug description:
> Binary package hint: update-manager
>
> I upgraded my Desktop ubuntu from jaunty to karmic.
> During the upgrade I got the message "could not install
> ttf-mscorefonts-installer".
> I proceeded.
> At the end of the installation step (before cleaning step), I got again an
> error message about this ttf-mscorefonts-installer.
> Apport proposed to send informations to you.
> I said yes.
> Started collecting info ... but didn't finish.
> I pressed cancel (to apport)
> After a while I got a message saying that the upgrade was broken, and to
> try a dpkg --configure -a .
> The upgrade stopped.
> I attache the /var/log/dist-upgrades/ logs.
>
> I tried dpkg --configure -a, but it could not connect to the internet. So
> probably during the upgrade the connection to internet was lost (even if the
> NetworkManager Applet say there was one active connection).
> So after rebooting I could connect to the internet and execute successfully
> dpkg --configure -a, which installed the fonts.
>
> Is it possible to resume the upgrade to finish it (End of Installation
> step + Cleaning step) ?
>

Nana Okyere (okyere) wrote :

Guys, while Andy's suggestion works well for browsing the internet, there
are other network related operations in Ubuntu that are experiencing the
slow connection. Upon searching the internet, I found that doing this:

https://store.opendns.com/setup/device/ubuntu/

is the best workaround for now. Basically, it changes your ISP's default dns
server and uses that of opendns (which is faster and has no issues with
IPv6). Personally, I've noticed that things are faster as far as network
connections and internet related applications are concerned. Ubuntu needs to
fix this asap before new users fall back through the Windows of death.

Nana

On Thu, Nov 5, 2009 at 1:55 AM, Andreas Schopf <email address hidden>wrote:

> Using Firefox?
> then do this:
> about:config
> -> network.dns.disableIPv6 -> true
> schould work fine ;-)
>
> Andy
>
> 2009/11/5 Jerrel V <email address hidden>
>
> > 9.10 ... It takes 45 seconds to connect to any web site now. s-l-o-w
> > Whats th deal?
> > Jerrel
> >
> > --
> > package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> > https://bugs.launchpad.net/bugs/464422
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug.
> >
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “msttcorefonts” package in Ubuntu: Triaged
> Status in Baltix GNU/Linux: New
> Status in “msttcorefonts” package in Debian: New
>
> Bug description:
> Binary package hint: update-manager
>
> I upgraded my Desktop ubuntu from jaunty to karmic.
> During the upgrade I got the message "could not install
> ttf-mscorefonts-installer".
> I proceeded.
> At the end of the installation step (before cleaning step), I got again an
> error message about this ttf-mscorefonts-installer.
> Apport proposed to send informations to you.
> I said yes.
> Started collecting info ... but didn't finish.
> I pressed cancel (to apport)
> After a while I got a message saying that the upgrade was broken, and to
> try a dpkg --configure -a .
> The upgrade stopped.
> I attache the /var/log/dist-upgrades/ logs.
>
> I tried dpkg --configure -a, but it could not connect to the internet. So
> probably during the upgrade the connection to internet was lost (even if the
> NetworkManager Applet say there was one active connection).
> So after rebooting I could connect to the internet and execute successfully
> dpkg --configure -a, which installed the fonts.
>
> Is it possible to resume the upgrade to finish it (End of Installation
> step + Cleaning step) ?
>

Steve Langasek (vorlon) on 2009-11-05
Changed in msttcorefonts (Ubuntu):
assignee: nobody → Steve Langasek (vorlon)
Steve Langasek (vorlon) on 2009-11-05
Changed in msttcorefonts (Ubuntu):
assignee: Steve Langasek (vorlon) → nobody

Indeed the opendns is a good workaround.....however once applied, my Thunderbird was no longer able to connect to smtp-msa.orange.fr, I had to give it the numeric address 193.252.22.72

sorry....#25 is not relevant, it relates to another bug

Jerrel V (thevenables) wrote :

made the changes but they didn't change my connection speed. Jerrel

Nana Okyere wrote:
> Guys, while Andy's suggestion works well for browsing the internet, there
> are other network related operations in Ubuntu that are experiencing the
> slow connection. Upon searching the internet, I found that doing this:
>
> https://store.opendns.com/setup/device/ubuntu/
>
> is the best workaround for now. Basically, it changes your ISP's default dns
> server and uses that of opendns (which is faster and has no issues with
> IPv6). Personally, I've noticed that things are faster as far as network
> connections and internet related applications are concerned. Ubuntu needs to
> fix this asap before new users fall back through the Windows of death.
>
> Nana
>
> On Thu, Nov 5, 2009 at 1:55 AM, Andreas Schopf
> <email address hidden>wrote:
>
>
>> Using Firefox?
>> then do this:
>> about:config
>> -> network.dns.disableIPv6 -> true
>> schould work fine ;-)
>>
>> Andy
>>
>> 2009/11/5 Jerrel V <email address hidden>
>>
>>
>>> 9.10 ... It takes 45 seconds to connect to any web site now. s-l-o-w
>>> Whats th deal?
>>> Jerrel
>>>
>>> --
>>> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
>>> https://bugs.launchpad.net/bugs/464422
>>> You received this bug notification because you are a direct subscriber
>>> of a duplicate bug.
>>>
>>>
>> --
>> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
>> https://bugs.launchpad.net/bugs/464422
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>> Status in “msttcorefonts” package in Ubuntu: Triaged
>> Status in Baltix GNU/Linux: New
>> Status in “msttcorefonts” package in Debian: New
>>
>> Bug description:
>> Binary package hint: update-manager
>>
>> I upgraded my Desktop ubuntu from jaunty to karmic.
>> During the upgrade I got the message "could not install
>> ttf-mscorefonts-installer".
>> I proceeded.
>> At the end of the installation step (before cleaning step), I got again an
>> error message about this ttf-mscorefonts-installer.
>> Apport proposed to send informations to you.
>> I said yes.
>> Started collecting info ... but didn't finish.
>> I pressed cancel (to apport)
>> After a while I got a message saying that the upgrade was broken, and to
>> try a dpkg --configure -a .
>> The upgrade stopped.
>> I attache the /var/log/dist-upgrades/ logs.
>>
>> I tried dpkg --configure -a, but it could not connect to the internet. So
>> probably during the upgrade the connection to internet was lost (even if the
>> NetworkManager Applet say there was one active connection).
>> So after rebooting I could connect to the internet and execute successfully
>> dpkg --configure -a, which installed the fonts.
>>
>> Is it possible to resume the upgrade to finish it (End of Installation
>> step + Cleaning step) ?
>>
>>
>
>

Jerrel V (thevenables) wrote :

- I've already gone back to the Window ... at least I can get my work done!

Nana Okyere wrote:
> Guys, while Andy's suggestion works well for browsing the internet, there
> are other network related operations in Ubuntu that are experiencing the
> slow connection. Upon searching the internet, I found that doing this:
>
> https://store.opendns.com/setup/device/ubuntu/
>
> is the best workaround for now. Basically, it changes your ISP's default dns
> server and uses that of opendns (which is faster and has no issues with
> IPv6). Personally, I've noticed that things are faster as far as network
> connections and internet related applications are concerned. Ubuntu needs to
> fix this asap before new users fall back through the Windows of death.
>
> Nana
>
> On Thu, Nov 5, 2009 at 1:55 AM, Andreas Schopf
> <email address hidden>wrote:
>
>
>> Using Firefox?
>> then do this:
>> about:config
>> -> network.dns.disableIPv6 -> true
>> schould work fine ;-)
>>
>> Andy
>>
>> 2009/11/5 Jerrel V <email address hidden>
>>
>>
>>> 9.10 ... It takes 45 seconds to connect to any web site now. s-l-o-w
>>> Whats th deal?
>>> Jerrel
>>>
>>> --
>>> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
>>> https://bugs.launchpad.net/bugs/464422
>>> You received this bug notification because you are a direct subscriber
>>> of a duplicate bug.
>>>
>>>
>> --
>> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
>> https://bugs.launchpad.net/bugs/464422
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>> Status in “msttcorefonts” package in Ubuntu: Triaged
>> Status in Baltix GNU/Linux: New
>> Status in “msttcorefonts” package in Debian: New
>>
>> Bug description:
>> Binary package hint: update-manager
>>
>> I upgraded my Desktop ubuntu from jaunty to karmic.
>> During the upgrade I got the message "could not install
>> ttf-mscorefonts-installer".
>> I proceeded.
>> At the end of the installation step (before cleaning step), I got again an
>> error message about this ttf-mscorefonts-installer.
>> Apport proposed to send informations to you.
>> I said yes.
>> Started collecting info ... but didn't finish.
>> I pressed cancel (to apport)
>> After a while I got a message saying that the upgrade was broken, and to
>> try a dpkg --configure -a .
>> The upgrade stopped.
>> I attache the /var/log/dist-upgrades/ logs.
>>
>> I tried dpkg --configure -a, but it could not connect to the internet. So
>> probably during the upgrade the connection to internet was lost (even if the
>> NetworkManager Applet say there was one active connection).
>> So after rebooting I could connect to the internet and execute successfully
>> dpkg --configure -a, which installed the fonts.
>>
>> Is it possible to resume the upgrade to finish it (End of Installation
>> step + Cleaning step) ?
>>
>>
>
>

Nana Okyere (okyere) wrote :
Download full text (4.6 KiB)

Too bad that did not work for you Jerrel. It work for me.

On Thu, Nov 5, 2009 at 10:33 PM, Jerrel V <email address hidden>wrote:

> - I've already gone back to the Window ... at least I can get my work
> done!
>
>
> Nana Okyere wrote:
> > Guys, while Andy's suggestion works well for browsing the internet, there
> > are other network related operations in Ubuntu that are experiencing the
> > slow connection. Upon searching the internet, I found that doing this:
> >
> > https://store.opendns.com/setup/device/ubuntu/
> >
> > is the best workaround for now. Basically, it changes your ISP's default
> dns
> > server and uses that of opendns (which is faster and has no issues with
> > IPv6). Personally, I've noticed that things are faster as far as network
> > connections and internet related applications are concerned. Ubuntu needs
> to
> > fix this asap before new users fall back through the Windows of death.
> >
> > Nana
> >
> > On Thu, Nov 5, 2009 at 1:55 AM, Andreas Schopf
> > <email address hidden>wrote:
> >
> >
> >> Using Firefox?
> >> then do this:
> >> about:config
> >> -> network.dns.disableIPv6 -> true
> >> schould work fine ;-)
> >>
> >> Andy
> >>
> >> 2009/11/5 Jerrel V <email address hidden>
> >>
> >>
> >>> 9.10 ... It takes 45 seconds to connect to any web site now. s-l-o-w
> >>> Whats th deal?
> >>> Jerrel
> >>>
> >>> --
> >>> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> >>> https://bugs.launchpad.net/bugs/464422
> >>> You received this bug notification because you are a direct subscriber
> >>> of a duplicate bug.
> >>>
> >>>
> >> --
> >> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> >> https://bugs.launchpad.net/bugs/464422
> >> You received this bug notification because you are a direct subscriber
> >> of a duplicate bug.
> >>
> >> Status in “msttcorefonts” package in Ubuntu: Triaged
> >> Status in Baltix GNU/Linux: New
> >> Status in “msttcorefonts” package in Debian: New
> >>
> >> Bug description:
> >> Binary package hint: update-manager
> >>
> >> I upgraded my Desktop ubuntu from jaunty to karmic.
> >> During the upgrade I got the message "could not install
> >> ttf-mscorefonts-installer".
> >> I proceeded.
> >> At the end of the installation step (before cleaning step), I got again
> an
> >> error message about this ttf-mscorefonts-installer.
> >> Apport proposed to send informations to you.
> >> I said yes.
> >> Started collecting info ... but didn't finish.
> >> I pressed cancel (to apport)
> >> After a while I got a message saying that the upgrade was broken, and to
> >> try a dpkg --configure -a .
> >> The upgrade stopped.
> >> I attache the /var/log/dist-upgrades/ logs.
> >>
> >> I tried dpkg --configure -a, but it could not connect to the internet.
> So
> >> probably during the upgrade the connection to internet was lost (even if
> the
> >> NetworkManager Applet say there was one active connection).
> >> So after rebooting I could connect to the internet and execute
> successfully
> >> dpkg --configure -a, which installed the fonts.
> >>
> >> Is it possible to resume the upgrade to finish it (End of Installation
> >> step + Cleaning step) ?
> >>
> >>
> >
> >...

Read more...

Andreas Schopf (andymcschopf) wrote :

@Nana:
My comment #19 does the same as yours in #24 ... the difference is that the manual shows it with the gui and i edited the config files directly... ;-)

@ Andreas: Thanks for pointing that out. I hope either of those methods can
help other who are experiencing the same problem.

On Fri, Nov 6, 2009 at 2:05 AM, Andreas Schopf <email address hidden>wrote:

> @Nana:
> My comment #19 does the same as yours in #24 ... the difference is that the
> manual shows it with the gui and i edited the config files directly... ;-)
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “msttcorefonts” package in Ubuntu: Triaged
> Status in Baltix GNU/Linux: New
> Status in “msttcorefonts” package in Debian: New
>
> Bug description:
> Binary package hint: update-manager
>
> I upgraded my Desktop ubuntu from jaunty to karmic.
> During the upgrade I got the message "could not install
> ttf-mscorefonts-installer".
> I proceeded.
> At the end of the installation step (before cleaning step), I got again an
> error message about this ttf-mscorefonts-installer.
> Apport proposed to send informations to you.
> I said yes.
> Started collecting info ... but didn't finish.
> I pressed cancel (to apport)
> After a while I got a message saying that the upgrade was broken, and to
> try a dpkg --configure -a .
> The upgrade stopped.
> I attache the /var/log/dist-upgrades/ logs.
>
> I tried dpkg --configure -a, but it could not connect to the internet. So
> probably during the upgrade the connection to internet was lost (even if the
> NetworkManager Applet say there was one active connection).
> So after rebooting I could connect to the internet and execute successfully
> dpkg --configure -a, which installed the fonts.
>
> Is it possible to resume the upgrade to finish it (End of Installation
> step + Cleaning step) ?
>

PhoneixS (phoneixsegovia) wrote :

I think that the problem is that sourceforge have change the url to the files, and we need to the new ones.

Thanks for your reply. Do you know where I can find the proper adress for
this package?

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
PhoneixS
Sent: Tuesday, November 10, 2009 11:32 AM
To: <email address hidden>
Subject: [Bug 464422] Re: package ttf-mscorefonts-installer 3.0 failed
toinstall/upgrade

I think that the problem is that sourceforge have change the url to the
files, and we need to the new ones.

--
package ttf-mscorefonts-installer 3.0 failed to install/upgrade
https://bugs.launchpad.net/bugs/464422
You received this bug notification because you are a direct subscriber of
the bug.

Status in "msttcorefonts" package in Ubuntu: Triaged Status in Baltix
GNU/Linux: New Status in "msttcorefonts" package in Debian: New

Bug description:
Binary package hint: update-manager

I upgraded my Desktop ubuntu from jaunty to karmic.
During the upgrade I got the message "could not install
ttf-mscorefonts-installer".
I proceeded.
At the end of the installation step (before cleaning step), I got again an
error message about this ttf-mscorefonts-installer.
Apport proposed to send informations to you.
I said yes.
Started collecting info ... but didn't finish.
I pressed cancel (to apport)
After a while I got a message saying that the upgrade was broken, and to try
a dpkg --configure -a .
The upgrade stopped.
I attache the /var/log/dist-upgrades/ logs.

I tried dpkg --configure -a, but it could not connect to the internet. So
probably during the upgrade the connection to internet was lost (even if the
NetworkManager Applet say there was one active connection).
So after rebooting I could connect to the internet and execute successfully
dpkg --configure -a, which installed the fonts.

Is it possible to resume the upgrade to finish it (End of Installation step
+ Cleaning step) ?

Andreas Schopf (andymcschopf) wrote :

I don't think it is an address problem but a problem with the name resoultion of ipv6 which leeds to a timeout...
try the workaround in #19 first....

Michael Wilson (mwilsonemt) wrote :

removing the DNS timeout seems to be working for me. Seems to be installing correctly as I type.

Thanks

Thanks for your reply!

On Thu, Nov 12, 2009 at 3:13 PM, Andreas Schopf <email address hidden>wrote:

> I don't think it is an address problem but a problem with the name
> resoultion of ipv6 which leeds to a timeout...
> try the workaround in #19 first....
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “msttcorefonts” package in Ubuntu: Triaged
> Status in Baltix GNU/Linux: New
> Status in “msttcorefonts” package in Debian: New
>
> Bug description:
> Binary package hint: update-manager
>
> I upgraded my Desktop ubuntu from jaunty to karmic.
> During the upgrade I got the message "could not install
> ttf-mscorefonts-installer".
> I proceeded.
> At the end of the installation step (before cleaning step), I got again an
> error message about this ttf-mscorefonts-installer.
> Apport proposed to send informations to you.
> I said yes.
> Started collecting info ... but didn't finish.
> I pressed cancel (to apport)
> After a while I got a message saying that the upgrade was broken, and to
> try a dpkg --configure -a .
> The upgrade stopped.
> I attache the /var/log/dist-upgrades/ logs.
>
> I tried dpkg --configure -a, but it could not connect to the internet. So
> probably during the upgrade the connection to internet was lost (even if the
> NetworkManager Applet say there was one active connection).
> So after rebooting I could connect to the internet and execute successfully
> dpkg --configure -a, which installed the fonts.
>
> Is it possible to resume the upgrade to finish it (End of Installation
> step + Cleaning step) ?
>

LiZhonghui (lizhonghui0106) wrote :

Thanks for your reply

On Thu, Nov 12, 2009 at 3:58 PM, Michael Wilson <email address hidden>wrote:

> removing the DNS timeout seems to be working for me. Seems to be
> installing correctly as I type.
>
> Thanks
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “msttcorefonts” package in Ubuntu: Triaged
> Status in Baltix GNU/Linux: New
> Status in “msttcorefonts” package in Debian: New
>
> Bug description:
> Binary package hint: update-manager
>
> I upgraded my Desktop ubuntu from jaunty to karmic.
> During the upgrade I got the message "could not install
> ttf-mscorefonts-installer".
> I proceeded.
> At the end of the installation step (before cleaning step), I got again an
> error message about this ttf-mscorefonts-installer.
> Apport proposed to send informations to you.
> I said yes.
> Started collecting info ... but didn't finish.
> I pressed cancel (to apport)
> After a while I got a message saying that the upgrade was broken, and to
> try a dpkg --configure -a .
> The upgrade stopped.
> I attache the /var/log/dist-upgrades/ logs.
>
> I tried dpkg --configure -a, but it could not connect to the internet. So
> probably during the upgrade the connection to internet was lost (even if the
> NetworkManager Applet say there was one active connection).
> So after rebooting I could connect to the internet and execute successfully
> dpkg --configure -a, which installed the fonts.
>
> Is it possible to resume the upgrade to finish it (End of Installation
> step + Cleaning step) ?
>

SHC (croq-serge) wrote :

Sorry for my bad english

Problem : after install non-free-codecs (depot Medibuntu) -> bug

" E: ttf-mscorefonts-installer : le sous-processus script pos-installation installé a retourné une erreur de sortie d'état 1 "

Thanks for your good work.

Jacob (jakesalomon) wrote :
Download full text (5.0 KiB)

Bottom line:
Is it safe to proceed with a reboot if the upgrade process failed here. Or will Ubuntu fail to boot?

As to my attempts to handle the error with the information I find in this discussion:

Luca and other endorsers of this workaround:

dpkg-reconfigure -plow --force ttf-mscorefonts-installer

Did *NOT* work for me. It failed at every address it attempted to resolve. I ran it under "script" to capture the output in a file. I have placed the pertinent output at the end of this post. I was certin that I was not using any proxy settings but I now see in the new Firefox (downloaded with the upgrade) that I am configured for system proxy settings, which mean nothing to me since I never set them - I have a direct wired connection to my router on this PC. Still, I have access to the 'net - I just went to sourceforge.net just to see if I can. And after setting for "No Proxy" I was able to access msnbc.com (Boo! Hiss! ;-)

So now, I will try that command again.

BTW, I save the archive (whatever that is for) in /etc/ttfFontsArchive, which I created for this prompt.
Otherwise, I am leaving all other prompts blank for the default behaviors.

I also see I had the option of entering "none" for the location of the "existing" fonts. I may yet exercise that option...

OK, the wget errors are still here.
---------------------------------------------------------
@chief:~# grep -e unable -e Resolving dpkg-configure.out
Resolving downloads.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `downloads.sourceforge.net'
Resolving switch.dl.sourceforge.net... 130.59.138.21, 2001:620:0:1b::21
Resolving downloads.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `downloads.sourceforge.net'
Resolving mesh.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `mesh.dl.sourceforge.net'
Resolving dfn.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `dfn.dl.sourceforge.net'
Resolving heanet.dl.sourceforge.net... 193.1.193.66, 2001:770:18:aa40::c101:c142
Resolving downloads.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `downloads.sourceforge.net'
Resolving jaist.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `jaist.dl.sourceforge.net'
Resolving nchc.dl.sourceforge.net... 211.79.60.17, 2001:e10:ffff:1f02::17
Resolving downloads.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `downloads.sourceforge.net'
Resolving ufpr.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `ufpr.dl.sourceforge.net'
Resolving internode.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `internode.dl.sourceforge.net'
Resolving voxel.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `voxel.dl.sourceforge.net'
Resolving kent.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `kent.dl.sourceforge.net'
Resolving internap.dl.sourceforge.net... failed: Connection timed out.
wge...

Read more...

Jacob (jakesalomon) wrote :
Download full text (3.2 KiB)

OK, Running W/O proxy shows some improvement. I see that some were resolved but still get too many of that wget error.

There is another workaround to try - That provided by imad on 11/01, changing a line of code in the script
/var/lib/dpkg/info/ttf-mscorefonts-installer.postinst

I will try that next and see where it takes me. Meantine, the outout of no-proxy dpkg-reconfigure follows the dashed line.

-- Jacob
-----------------------------------------------------
Resolving downloads.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `downloads.sourceforge.net'
Resolving switch.dl.sourceforge.net... 130.59.138.21, 2001:620:0:1b::21
Location: http://downloads.sourceforge.net/sourceforge/corefonts/andale32.exe?download&failedmirror=switch.dl.sourceforge.net [following]
--2009-11-15 11:06:27-- http://downloads.sourceforge.net/sourceforge/corefonts/andale32.exe?download&failedmirror=switch.dl.sourceforge.net
Resolving downloads.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `downloads.sourceforge.net'
Resolving mesh.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `mesh.dl.sourceforge.net'
Resolving dfn.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `dfn.dl.sourceforge.net'
Resolving heanet.dl.sourceforge.net... 193.1.193.66, 2001:770:18:aa40::c101:c142
Location: http://downloads.sourceforge.net/sourceforge/corefonts/andale32.exe?download&failedmirror=heanet.dl.sourceforge.net [following]
--2009-11-15 11:06:57-- http://downloads.sourceforge.net/sourceforge/corefonts/andale32.exe?download&failedmirror=heanet.dl.sourceforge.net
Resolving downloads.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `downloads.sourceforge.net'
Resolving jaist.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `jaist.dl.sourceforge.net'
Resolving nchc.dl.sourceforge.net... 211.79.60.17, 2001:e10:ffff:1f02::17
Location: http://downloads.sourceforge.net/sourceforge/corefonts/andale32.exe?download&failedmirror=nchc.dl.sourceforge.net [following]
--2009-11-15 11:07:18-- http://downloads.sourceforge.net/sourceforge/corefonts/andale32.exe?download&failedmirror=nchc.dl.sourceforge.net
Resolving downloads.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `downloads.sourceforge.net'
Resolving ufpr.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `ufpr.dl.sourceforge.net'
Resolving internode.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `internode.dl.sourceforge.net'
Resolving voxel.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `voxel.dl.sourceforge.net'
Resolving kent.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `kent.dl.sourceforge.net'
Resolving internap.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `internap.dl.sourceforge.net'
andale32.exe: FAILED open or read
sha256sum: WARNING: 1 of 1 listed file ...

Read more...

Jacob (jakesalomon) wrote :

Bottom line: How to proceed after getting the fonts installed.

And now, the main message:

YIPEEE!!!!!
KUDOS, GRACIAS and assorted hazzahs in all possible languages to IMAD.

My taking the --dns-timeout option out the the wget command in line 148 of this file,

/var/lib/dpkg/info/ttf-mscorefonts-installer.postinst

the final lines of the output of that command:

dpkg-reconfigure -plow --force ttf-mscorefonts-installer

are now:

All done, no errors.
All fonts downloaded and installed.
Updating fontconfig cache for /usr/share/fonts/truetype/msttcorefonts
No CIDSupplement specified for Dotum-Regular, defaulting to 0.
No CIDSupplement specified for Batang-Regular, defaulting to 0.
No CIDSupplement specified for Batang-Bold, defaulting to 0.
No CIDSupplement specified for Dotum-Bold, defaulting to 0.
No CIDSupplement specified for ZenHei, defaulting to 0.
No CIDSupplement specified for ZenHei-CNS, defaulting to 0.
No CIDSupplement specified for UMingCN, defaulting to 0.

Now that this has succeeded, how do I proceed? The upgrade had failed at this point and failed to clean up. What do we do now?

Locate the arcane script that does the cleanup and run that with sudo?

Start the System Update app again, hoping it realize where it left off and continue?

HELP!! please.

Thanks much and more kudos to imad. IN lieu of actually giving you a kudos candy bar, enjoy this:
http://2.bp.blogspot.com/_JOfB6cS2PDA/Si8QM1hJKkI/AAAAAAAAALM/s9YYIs9u4rc/s400/kudos%2Bbar.jpg

As well as this:
http://www.topnews.in/health/files/beer4.jpg

Following suggestion work for me
"
I did a:
dpkg-reconfigure -plow --force ttf-mscorefonts-installer

to remove the proxy from the settings and the package was installed successfully."

I hadn't set any proxy, but the issue was proxy related, as I got following error messages:

"Error parsing proxy URL http://:8080/: Invalid host name."

thx ;)

yeah you can restart a update , my memory don't help , i don't remember
exactly what i have done .

But i think that a restart of the update will do nothing or finish what
is not .

Try and say to us what happens

IS

-------- Original Message --------
Subject: [Bug 464422] Re: package ttf-mscorefonts-installer 3.0 failed
to install/upgrade
From: Jacob <email address hidden>
To: <email address hidden>
Date: Sun 15 Nov 2009 05:54:11 PM CET

> Bottom line: How to proceed after getting the fonts installed.
>
> And now, the main message:
>
> YIPEEE!!!!!
> KUDOS, GRACIAS and assorted hazzahs in all possible languages to IMAD.
>
> My taking the --dns-timeout option out the the wget command in line 148
> of this file,
>
> /var/lib/dpkg/info/ttf-mscorefonts-installer.postinst
>
> the final lines of the output of that command:
>
> dpkg-reconfigure -plow --force ttf-mscorefonts-installer
>
> are now:
>
> All done, no errors.
> All fonts downloaded and installed.
> Updating fontconfig cache for /usr/share/fonts/truetype/msttcorefonts
> No CIDSupplement specified for Dotum-Regular, defaulting to 0.
> No CIDSupplement specified for Batang-Regular, defaulting to 0.
> No CIDSupplement specified for Batang-Bold, defaulting to 0.
> No CIDSupplement specified for Dotum-Bold, defaulting to 0.
> No CIDSupplement specified for ZenHei, defaulting to 0.
> No CIDSupplement specified for ZenHei-CNS, defaulting to 0.
> No CIDSupplement specified for UMingCN, defaulting to 0.
>
> Now that this has succeeded, how do I proceed? The upgrade had failed
> at this point and failed to clean up. What do we do now?
>
> Locate the arcane script that does the cleanup and run that with sudo?
>
> Start the System Update app again, hoping it realize where it left off
> and continue?
>
> HELP!! please.
>
> Thanks much and more kudos to imad. IN lieu of actually giving you a kudos candy bar, enjoy this:
> http://2.bp.blogspot.com/_JOfB6cS2PDA/Si8QM1hJKkI/AAAAAAAAALM/s9YYIs9u4rc/s400/kudos%2Bbar.jpg
>
> As well as this:
> http://www.topnews.in/health/files/beer4.jpg
>

For me the probleme was over after use:

sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer

delete the proxy address 'http:// :8080' when asked and all works fine, including the downloadfrom the net

Like indicate at # 6

Thanks evry one.

Download full text (3.4 KiB)

Adding extra time for *dns-timeout* worked for me as well, how ever I get
the same messages as Jacob below.
I also noticed this for all fonts:

*All done, no errors.
webdin32.exe: OK
webdin32.exe: library not compiled to support large files.
Extracting cabinet: webdin32.exe
  extracting fontinst.exe
  extracting Webdings.TTF
  extracting fontinst.inf
  extracting Licen.TXT
*
//Hans

2009/11/15 Jacob <email address hidden>

> Bottom line: How to proceed after getting the fonts installed.
>
> And now, the main message:
>
> YIPEEE!!!!!
> KUDOS, GRACIAS and assorted hazzahs in all possible languages to IMAD.
>
> My taking the --dns-timeout option out the the wget command in line 148
> of this file,
>
> /var/lib/dpkg/info/ttf-mscorefonts-installer.postinst
>
> the final lines of the output of that command:
>
> dpkg-reconfigure -plow --force ttf-mscorefonts-installer
>
> are now:
>
> All done, no errors.
> All fonts downloaded and installed.
> Updating fontconfig cache for /usr/share/fonts/truetype/msttcorefonts
> No CIDSupplement specified for Dotum-Regular, defaulting to 0.
> No CIDSupplement specified for Batang-Regular, defaulting to 0.
> No CIDSupplement specified for Batang-Bold, defaulting to 0.
> No CIDSupplement specified for Dotum-Bold, defaulting to 0.
> No CIDSupplement specified for ZenHei, defaulting to 0.
> No CIDSupplement specified for ZenHei-CNS, defaulting to 0.
> No CIDSupplement specified for UMingCN, defaulting to 0.
>
> Now that this has succeeded, how do I proceed? The upgrade had failed
> at this point and failed to clean up. What do we do now?
>
> Locate the arcane script that does the cleanup and run that with sudo?
>
> Start the System Update app again, hoping it realize where it left off
> and continue?
>
> HELP!! please.
>
> Thanks much and more kudos to imad. IN lieu of actually giving you a kudos
> candy bar, enjoy this:
>
> http://2.bp.blogspot.com/_JOfB6cS2PDA/Si8QM1hJKkI/AAAAAAAAALM/s9YYIs9u4rc/s400/kudos%2Bbar.jpg
>
> As well as this:
> http://www.topnews.in/health/files/beer4.jpg
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “msttcorefonts” package in Ubuntu: Triaged
> Status in Baltix GNU/Linux: New
> Status in “msttcorefonts” package in Debian: New
>
> Bug description:
> Binary package hint: update-manager
>
> I upgraded my Desktop ubuntu from jaunty to karmic.
> During the upgrade I got the message "could not install
> ttf-mscorefonts-installer".
> I proceeded.
> At the end of the installation step (before cleaning step), I got again an
> error message about this ttf-mscorefonts-installer.
> Apport proposed to send informations to you.
> I said yes.
> Started collecting info ... but didn't finish.
> I pressed cancel (to apport)
> After a while I got a message saying that the upgrade was broken, and to
> try a dpkg --configure -a .
> The upgrade stopped.
> I attache the /var/log/dist-upgrades/ logs.
>
> I tried dpkg --configure -a, but it could not connect to the internet. So
> probably during the upgrade the connection to int...

Read more...

Jacob (jakesalomon) wrote :

(How did my e-mail address get into this discussion?)

Now that *my* problem with the bug is solved, I still need to locate and remove the stuff that would have been removed had I not encountered this bug. That is not within the scope of this forum. I have posted that question on the Ubuntu forum:
http://ubuntuforums.org/showthread.php?t=1327534

As of this moment, nobody has answered me. :-(

-- Jacob

Miles Sharpe (msdomdonner) wrote :

deleted it in synaptic. thanks a ton

StephenDx (s-dixon) wrote :

sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer
This worked for me. Been looking for those fonts. :)

StephenDx wrote:
> sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer
> This worked for me. Been looking for those fonts. :)
>
>
please excuse my over-the-top enthusiasm, but WOW!!! you actually get
back to users? i love ubuntu ten-fold more now!

pglaister (pglaister) wrote :

StephenDx wrote:
> sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer
> This worked for me. Been looking for those fonts. :)
>
>
PS: thank you for your assistance.

I still didn't understood the error, but it seems usual when upgrading to
Ubuntu 9.10 through alternative CD auto-update.
I think I didn't had ttf-mscorefonts installed yet.

But I'm glad to see that this system is working fine. Community rulz.

2009/11/27 pglaister <email address hidden>

> StephenDx wrote:
> > sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer
> > This worked for me. Been looking for those fonts. :)
> >
> >
> PS: thank you for your assistance.
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “msttcorefonts” package in Ubuntu: Triaged
> Status in Baltix GNU/Linux: New
> Status in “msttcorefonts” package in Debian: New
>
> Bug description:
> Binary package hint: update-manager
>
> I upgraded my Desktop ubuntu from jaunty to karmic.
> During the upgrade I got the message "could not install
> ttf-mscorefonts-installer".
> I proceeded.
> At the end of the installation step (before cleaning step), I got again an
> error message about this ttf-mscorefonts-installer.
> Apport proposed to send informations to you.
> I said yes.
> Started collecting info ... but didn't finish.
> I pressed cancel (to apport)
> After a while I got a message saying that the upgrade was broken, and to
> try a dpkg --configure -a .
> The upgrade stopped.
> I attache the /var/log/dist-upgrades/ logs.
>
> I tried dpkg --configure -a, but it could not connect to the internet. So
> probably during the upgrade the connection to internet was lost (even if the
> NetworkManager Applet say there was one active connection).
> So after rebooting I could connect to the internet and execute successfully
> dpkg --configure -a, which installed the fonts.
>
> Is it possible to resume the upgrade to finish it (End of Installation
> step + Cleaning step) ?
>

I dont speak english, but thanks a lot.

MUCHAS GRACIAS

________________________________________
LUIS CARLOS GRACIA PUENTES

   Antes de imprimir este mensaje considere si es necesario hacerlo.

         ¡Todos unidos por la conservación del medio ambiente!.

       Before printing this message, consider if it is necessary.

                    All united for the environment!.

NOTA DE CONFIDENCIALIDAD: La información contenida en este mensaje es
confidencial y solo puede ser utilizada por la persona u organización a
quien esta dirigida. Si no es el receptor autorizado, cualquier
retención, distribución, difusión o copia de este mensaje está prohibida
y puede ser sancionada por la ley. Si por error recibe este mensaje, por
favor reenvíelo al remitente y borre el mensaje recibido inmediatamente.
Muchas gracias.
NOTE OF CONFIDENTIALITY This email message and information contained in
or attached to this message may be privileged, confidential, and
protected from disclosure and is intended only for the person or entity
to which it is addressed. If you are not the intended recipient any
retransmission, dissemination, printing or other use of, or taking of
any action in reliance upon, this information is strictly prohibited. If
you received this message in error, please immediately inform the sender
by reply e-mail and delete the message and any attachments. Thank you.

El vie, 27-11-2009 a las 11:52 +0000, StephenDx escribió:

> sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer
> This worked for me. Been looking for those fonts. :)
>

JeiJo (jeijomix) wrote :

Ok, I'm from Spain and I did the following in the terminal:

> sudo gedit /etc/hosts

I added these hosts to the list:

> 216.34.181.59 downloads.sourceforge.net
> 212.219.56.167 kent.dl.sourceforge.net
> 212.219.56.167 sunet.dl.sourceforge.net
> 213.203.218.122 sunet.dl.sourceforge.net
> 208.122.28.29 sunet.dl.sourceforge.net
> 130.59.138.21 surfnet.dl.sourceforge.net

Then:

> sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer

I take the "hosts solution" from the bug of this same package but in the 2.6 version cause with only the dpkg solution it didn't work for me. And now, with this two things, I got everything fine.

Thanks very much for this support comunity.

¿Ya vamos 3 españoles? o.o

So you added Sourceforge mirrors IPs? Now APT can't do this all alone?
That would explain why I couldn't install VLC media player, too.

Anyway, that's an idea. I'm trying later~.

2009/11/30 JeiJo <email address hidden>

> Ok, I'm from Spain and I did the following in the terminal:
>
> > sudo gedit /etc/hosts
>
> I added these hosts to the list:
>
> > 216.34.181.59 downloads.sourceforge.net
> > 212.219.56.167 kent.dl.sourceforge.net
> > 212.219.56.167 sunet.dl.sourceforge.net
> > 213.203.218.122 sunet.dl.sourceforge.net
> > 208.122.28.29 sunet.dl.sourceforge.net
> > 130.59.138.21 surfnet.dl.sourceforge.net
>
> Then:
>
> > sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer
>
> I take the "hosts solution" from the bug of this same package but in the
> 2.6 version cause with only the dpkg solution it didn't work for me. And
> now, with this two things, I got everything fine.
>
> Thanks very much for this support comunity.
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “msttcorefonts” package in Ubuntu: Triaged
> Status in Baltix GNU/Linux: New
> Status in “msttcorefonts” package in Debian: New
>
> Bug description:
> Binary package hint: update-manager
>
> I upgraded my Desktop ubuntu from jaunty to karmic.
> During the upgrade I got the message "could not install
> ttf-mscorefonts-installer".
> I proceeded.
> At the end of the installation step (before cleaning step), I got again an
> error message about this ttf-mscorefonts-installer.
> Apport proposed to send informations to you.
> I said yes.
> Started collecting info ... but didn't finish.
> I pressed cancel (to apport)
> After a while I got a message saying that the upgrade was broken, and to
> try a dpkg --configure -a .
> The upgrade stopped.
> I attache the /var/log/dist-upgrades/ logs.
>
> I tried dpkg --configure -a, but it could not connect to the internet. So
> probably during the upgrade the connection to internet was lost (even if the
> NetworkManager Applet say there was one active connection).
> So after rebooting I could connect to the internet and execute successfully
> dpkg --configure -a, which installed the fonts.
>
> Is it possible to resume the upgrade to finish it (End of Installation
> step + Cleaning step) ?
>

thanks very much!

------------------ 原始邮件 ------------------
发件人: "JeiJo"<email address hidden>;
发送时间: 2009年12月1日(星期二) 上午6:52
收件人: "1045892327"<email address hidden>;

主题: [Bug 464422] Re: package ttf-mscorefonts-installer 3.0 failed toinstall/upgrade

 Ok, I'm from Spain and I did the following in the terminal:

> sudo gedit /etc/hosts

I added these hosts to the list:

> 216.34.181.59 downloads.sourceforge.net
> 212.219.56.167 kent.dl.sourceforge.net
> 212.219.56.167 sunet.dl.sourceforge.net
> 213.203.218.122 sunet.dl.sourceforge.net
> 208.122.28.29 sunet.dl.sourceforge.net
> 130.59.138.21 surfnet.dl.sourceforge.net

Then:

> sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer

I take the "hosts solution" from the bug of this same package but in the
2.6 version cause with only the dpkg solution it didn't work for me. And
now, with this two things, I got everything fine.

Thanks very much for this support comunity.

--
package ttf-mscorefonts-installer 3.0 failed to install/upgrade
https://bugs.launchpad.net/bugs/464422
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in “msttcorefonts” package in Ubuntu: Triaged
Status in Baltix GNU/Linux: New
Status in “msttcorefonts” package in Debian: New

Bug description:
Binary package hint: update-manager

I upgraded my Desktop ubuntu from jaunty to karmic.
During the upgrade I got the message "could not install ttf-mscorefonts-installer".
I proceeded.
At the end of the installation step (before cleaning step), I got again an error message about this ttf-mscorefonts-installer.
Apport proposed to send informations to you.
I said yes.
Started collecting info ... but didn't finish.
I pressed cancel (to apport)
After a while I got a message saying that the upgrade was broken, and to try a dpkg --configure -a .
The upgrade stopped.
I attache the /var/log/dist-upgrades/ logs.

I tried dpkg --configure -a, but it could not connect to the internet. So probably during the upgrade the connection to internet was lost (even if the NetworkManager Applet say there was one active connection).
So after rebooting I could connect to the internet and execute successfully dpkg --configure -a, which installed the fonts.

Is it possible to resume the upgrade to finish it (End of Installation step + Cleaning step) ?

Download full text (4.1 KiB)

thank you very much!

------------------ 原始邮件 ------------------
发件人: "Titanio Verde"<email address hidden>;
发送时间: 2009年12月1日(星期二) 下午4:39
收件人: "1045892327"<email address hidden>;

主题: Re: [Bug 464422] Re: package ttf-mscorefonts-installer 3.0 failed toinstall/upgrade

 Ya vamos 3 espaoles? o.o

So you added Sourceforge mirrors IPs? Now APT can't do this all alone?
That would explain why I couldn't install VLC media player, too.

Anyway, that's an idea. I'm trying later~.

2009/11/30 JeiJo <email address hidden>

> Ok, I'm from Spain and I did the following in the terminal:
>
> > sudo gedit /etc/hosts
>
> I added these hosts to the list:
>
> > 216.34.181.59 downloads.sourceforge.net
> > 212.219.56.167 kent.dl.sourceforge.net
> > 212.219.56.167 sunet.dl.sourceforge.net
> > 213.203.218.122 sunet.dl.sourceforge.net
> > 208.122.28.29 sunet.dl.sourceforge.net
> > 130.59.138.21 surfnet.dl.sourceforge.net
>
> Then:
>
> > sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer
>
> I take the "hosts solution" from the bug of this same package but in the
> 2.6 version cause with only the dpkg solution it didn't work for me. And
> now, with this two things, I got everything fine.
>
> Thanks very much for this support comunity.
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “msttcorefonts” package in Ubuntu: Triaged
> Status in Baltix GNU/Linux: New
> Status in “msttcorefonts” package in Debian: New
>
> Bug description:
> Binary package hint: update-manager
>
> I upgraded my Desktop ubuntu from jaunty to karmic.
> During the upgrade I got the message "could not install
> ttf-mscorefonts-installer".
> I proceeded.
> At the end of the installation step (before cleaning step), I got again an
> error message about this ttf-mscorefonts-installer.
> Apport proposed to send informations to you.
> I said yes.
> Started collecting info ... but didn't finish.
> I pressed cancel (to apport)
> After a while I got a message saying that the upgrade was broken, and to
> try a dpkg --configure -a .
> The upgrade stopped.
> I attache the /var/log/dist-upgrades/ logs.
>
> I tried dpkg --configure -a, but it could not connect to the internet. So
> probably during the upgrade the connection to internet was lost (even if the
> NetworkManager Applet say there was one active connection).
> So after rebooting I could connect to the internet and execute successfully
> dpkg --configure -a, which installed the fonts.
>
> Is it possible to resume the upgrade to finish it (End of Installation
> step + Cleaning step) ?
>

--
package ttf-mscorefonts-installer 3.0 failed to install/upgrade
https://bugs.launchpad.net/bugs/464422
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in “msttcorefonts” package in Ubuntu: Triaged
Status in Baltix GNU/Linux: New
Status in “msttcorefonts” package in Debian: New

Bug description:
Binary package hint: update-manager

I upgr...

Read more...

Download full text (4.0 KiB)

thank you very much!

2009/12/1 Titanio Verde <email address hidden>

> ¿Ya vamos 3 españoles? o.o
>
> So you added Sourceforge mirrors IPs? Now APT can't do this all alone?
> That would explain why I couldn't install VLC media player, too.
>
> Anyway, that's an idea. I'm trying later~.
>
> 2009/11/30 JeiJo <email address hidden>
>
> > Ok, I'm from Spain and I did the following in the terminal:
> >
> > > sudo gedit /etc/hosts
> >
> > I added these hosts to the list:
> >
> > > 216.34.181.59 downloads.sourceforge.net
> > > 212.219.56.167 kent.dl.sourceforge.net
> > > 212.219.56.167 sunet.dl.sourceforge.net
> > > 213.203.218.122 sunet.dl.sourceforge.net
> > > 208.122.28.29 sunet.dl.sourceforge.net
> > > 130.59.138.21 surfnet.dl.sourceforge.net
> >
> > Then:
> >
> > > sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer
> >
> > I take the "hosts solution" from the bug of this same package but in the
> > 2.6 version cause with only the dpkg solution it didn't work for me. And
> > now, with this two things, I got everything fine.
> >
> > Thanks very much for this support comunity.
> >
> > --
> > package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> > https://bugs.launchpad.net/bugs/464422
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in “msttcorefonts” package in Ubuntu: Triaged
> > Status in Baltix GNU/Linux: New
> > Status in “msttcorefonts” package in Debian: New
> >
> > Bug description:
> > Binary package hint: update-manager
> >
> > I upgraded my Desktop ubuntu from jaunty to karmic.
> > During the upgrade I got the message "could not install
> > ttf-mscorefonts-installer".
> > I proceeded.
> > At the end of the installation step (before cleaning step), I got again
> an
> > error message about this ttf-mscorefonts-installer.
> > Apport proposed to send informations to you.
> > I said yes.
> > Started collecting info ... but didn't finish.
> > I pressed cancel (to apport)
> > After a while I got a message saying that the upgrade was broken, and to
> > try a dpkg --configure -a .
> > The upgrade stopped.
> > I attache the /var/log/dist-upgrades/ logs.
> >
> > I tried dpkg --configure -a, but it could not connect to the internet. So
> > probably during the upgrade the connection to internet was lost (even if
> the
> > NetworkManager Applet say there was one active connection).
> > So after rebooting I could connect to the internet and execute
> successfully
> > dpkg --configure -a, which installed the fonts.
> >
> > Is it possible to resume the upgrade to finish it (End of Installation
> > step + Cleaning step) ?
> >
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “msttcorefonts” package in Ubuntu: Triaged
> Status in Baltix GNU/Linux: New
> Status in “msttcorefonts” package in Debian: New
>
> Bug description:
> Binary package hint: update-manager
>
> I upgraded my Desktop ubuntu from jaunty to karmic.
> During the upgrade I got the message "could not install
> ttf-mscorefonts-installer".
> I ...

Read more...

itmannen (toni-appelqvist) wrote :
Download full text (5.8 KiB)

Tanks
Works perfect.
[?]

2009/12/1 xinen007 <email address hidden>

> thank you very much!
>
> 2009/12/1 Titanio Verde <email address hidden>
>
> > ¿Ya vamos 3 españoles? o.o
> >
> > So you added Sourceforge mirrors IPs? Now APT can't do this all alone?
> > That would explain why I couldn't install VLC media player, too.
> >
> > Anyway, that's an idea. I'm trying later~.
> >
> > 2009/11/30 JeiJo <email address hidden>
> >
> > > Ok, I'm from Spain and I did the following in the terminal:
> > >
> > > > sudo gedit /etc/hosts
> > >
> > > I added these hosts to the list:
> > >
> > > > 216.34.181.59 downloads.sourceforge.net
> > > > 212.219.56.167 kent.dl.sourceforge.net
> > > > 212.219.56.167 sunet.dl.sourceforge.net
> > > > 213.203.218.122 sunet.dl.sourceforge.net
> > > > 208.122.28.29 sunet.dl.sourceforge.net
> > > > 130.59.138.21 surfnet.dl.sourceforge.net
> > >
> > > Then:
> > >
> > > > sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer
> > >
> > > I take the "hosts solution" from the bug of this same package but in
> the
> > > 2.6 version cause with only the dpkg solution it didn't work for me.
> And
> > > now, with this two things, I got everything fine.
> > >
> > > Thanks very much for this support comunity.
> > >
> > > --
> > > package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> > > https://bugs.launchpad.net/bugs/464422
> > > You received this bug notification because you are a direct subscriber
> > > of the bug.
> > >
> > > Status in “msttcorefonts” package in Ubuntu: Triaged
> > > Status in Baltix GNU/Linux: New
> > > Status in “msttcorefonts” package in Debian: New
> > >
> > > Bug description:
> > > Binary package hint: update-manager
> > >
> > > I upgraded my Desktop ubuntu from jaunty to karmic.
> > > During the upgrade I got the message "could not install
> > > ttf-mscorefonts-installer".
> > > I proceeded.
> > > At the end of the installation step (before cleaning step), I got again
> > an
> > > error message about this ttf-mscorefonts-installer.
> > > Apport proposed to send informations to you.
> > > I said yes.
> > > Started collecting info ... but didn't finish.
> > > I pressed cancel (to apport)
> > > After a while I got a message saying that the upgrade was broken, and
> to
> > > try a dpkg --configure -a .
> > > The upgrade stopped.
> > > I attache the /var/log/dist-upgrades/ logs.
> > >
> > > I tried dpkg --configure -a, but it could not connect to the internet.
> So
> > > probably during the upgrade the connection to internet was lost (even
> if
> > the
> > > NetworkManager Applet say there was one active connection).
> > > So after rebooting I could connect to the internet and execute
> > successfully
> > > dpkg --configure -a, which installed the fonts.
> > >
> > > Is it possible to resume the upgrade to finish it (End of Installation
> > > step + Cleaning step) ?
> > >
> >
> > --
> > package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> > https://bugs.launchpad.net/bugs/464422
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in “msttcorefonts” package in Ubuntu: Triaged
> > Status in Baltix GNU/Linux: New
> > Status in...

Read more...

Finally!

Thanks.

K

JeiJo skrev:
> Ok, I'm from Spain and I did the following in the terminal:
>
>
>> sudo gedit /etc/hosts
>>
>
> I added these hosts to the list:
>
>
>> 216.34.181.59 downloads.sourceforge.net
>> 212.219.56.167 kent.dl.sourceforge.net
>> 212.219.56.167 sunet.dl.sourceforge.net
>> 213.203.218.122 sunet.dl.sourceforge.net
>> 208.122.28.29 sunet.dl.sourceforge.net
>> 130.59.138.21 surfnet.dl.sourceforge.net
>>
>
> Then:
>
>
>> sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer
>>
>
> I take the "hosts solution" from the bug of this same package but in the
> 2.6 version cause with only the dpkg solution it didn't work for me. And
> now, with this two things, I got everything fine.
>
> Thanks very much for this support comunity.
>
>

dooglo (doug-atamanchuk) wrote :

I did this as well " sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer", and get this at the end of installation.

All done, no errors.
trebuc32.exe: OK
Extracting cabinet: trebuc32.exe
   extracting FONTINST.EXE
   extracting trebuc.ttf
   extracting trebucbd.ttf
   extracting trebucbi.ttf
   extracting trebucit.ttf
   extracting fontinst.inf

All done, no errors.
sha256sum: verdan32.exe No such file or directory.
verdan32.exe: FAILED open or read
sha256sum: WARNING: 1of 1 listed file could not be read
Checksum mismatch for verdan32.exe, aborting!
dpkg: error procesing ttf-mscorefonts-installer (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 ttf-mscorefonts-installer

Now, I'm new to Linux and Ubuntu, I like to try new things and am getting accustom to it, slowly. Help would be appreciated.

dooglo

thank you, very much

Obrigado
Jairo E.Moretti

2009/11/30 JeiJo <email address hidden>

> Ok, I'm from Spain and I did the following in the terminal:
>
> > sudo gedit /etc/hosts
>
> I added these hosts to the list:
>
> > 216.34.181.59 downloads.sourceforge.net
> > 212.219.56.167 kent.dl.sourceforge.net
> > 212.219.56.167 sunet.dl.sourceforge.net
> > 213.203.218.122 sunet.dl.sourceforge.net
> > 208.122.28.29 sunet.dl.sourceforge.net
> > 130.59.138.21 surfnet.dl.sourceforge.net
>
> Then:
>
> > sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer
>
> I take the "hosts solution" from the bug of this same package but in the
> 2.6 version cause with only the dpkg solution it didn't work for me. And
> now, with this two things, I got everything fine.
>
> Thanks very much for this support comunity.
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “msttcorefonts” package in Ubuntu: Triaged
> Status in Baltix GNU/Linux: New
> Status in “msttcorefonts” package in Debian: New
>
> Bug description:
> Binary package hint: update-manager
>
> I upgraded my Desktop ubuntu from jaunty to karmic.
> During the upgrade I got the message "could not install
> ttf-mscorefonts-installer".
> I proceeded.
> At the end of the installation step (before cleaning step), I got again an
> error message about this ttf-mscorefonts-installer.
> Apport proposed to send informations to you.
> I said yes.
> Started collecting info ... but didn't finish.
> I pressed cancel (to apport)
> After a while I got a message saying that the upgrade was broken, and to
> try a dpkg --configure -a .
> The upgrade stopped.
> I attache the /var/log/dist-upgrades/ logs.
>
> I tried dpkg --configure -a, but it could not connect to the internet. So
> probably during the upgrade the connection to internet was lost (even if the
> NetworkManager Applet say there was one active connection).
> So after rebooting I could connect to the internet and execute successfully
> dpkg --configure -a, which installed the fonts.
>
> Is it possible to resume the upgrade to finish it (End of Installation
> step + Cleaning step) ?
>

OneFrenchGuy (nicolasguary) wrote :

How many Linux users could have returned to windows because of such difficulty?!
Many thanks to the knowledgeable people who saved us.

Paul Bußmann (paul-medwyn) wrote :

Thank you very much. Removing the timeout setting fixed it. Actually why did I encounter this problem? Why is the package still broken? It seems to be useless this setting. Maybe it saves a little time for users but it BREAKS installation for all the others.
It seems straight forward to prevent other users from this really really annoying bug.
Which brave man will correct the package?

Stefano Fagnani (stefagnani) wrote :

Remove dns timeout work fine for me!!

zoostation (zoothousand-one) wrote :

Removing the proxy via "sudo dpkg-reconfigure -plow --force ttf-mscorefonts-installer" seems to have done the job. Bravo!

zoostation (zoothousand-one) wrote :

Additionally, "1 package not fully installed" lingered in my apt operations, but reinstalling ttf-mscorefonts-installer through synaptic after the dpkg-reconfigure process eliminated that.

Tyler R (hunterkasy) wrote :

I have been having problems with the msfontsinstaller, when I am trying to install restricted xubuntu extras

http://ubuntuforums.org/showthread.php?t=1353786

Claus (claus-koehler-71) on 2010-01-09
Changed in msttcorefonts (Ubuntu):
status: Triaged → Incomplete

A patched version of ttf-corefonts-installer is available in my ppa for lucid and karmic.

It fixes the downloading and proxy issues and doesn't fail the whole installation if some fonts failed to download.
For those brave enough please give it a try and report if you succeeded or any error you may find.

To add the repository open a terminal and run:
$ sudo add-apt-repository ppa:jibel/ppa
$ sudo apt-get update
$ sudo apt-get install ttf-mscorefonts-installer

Remember that this is an experimental version of the package, so use it at your own risk.

Thanks for your help.

Changed in msttcorefonts (Ubuntu):
assignee: nobody → Jean-Baptiste Lallement (jibel)
status: Incomplete → In Progress

"All fonts downloaded and installed."

I did it with ipv6 method=automatic in the properties of Auto eth1

Hello Jean Baptiste,

Thanks very much for this simple but excellent solution.
I tried several of the previous offered solutions but they all did not
work. Beside that I did understand most of them.
I ran your commands and now I've got the fonts at my disposal.
Greetings,

Joop van Doorne

Op zondag 10-01-2010 om 21:20 uur [tijdzone +0000], schreef
Jean-Baptiste Lallement:
> A patched version of ttf-corefonts-installer is available in my ppa for
> lucid and karmic.
>
> It fixes the downloading and proxy issues and doesn't fail the whole installation if some fonts failed to download.
> For those brave enough please give it a try and report if you succeeded or any error you may find.
>
> To add the repository open a terminal and run:
> $ sudo add-apt-repository ppa:jibel/ppa
> $ sudo apt-get update
> $ sudo apt-get install ttf-mscorefonts-installer
>
> Remember that this is an experimental version of the package, so use it
> at your own risk.
>
> Thanks for your help.
>
> ** Changed in: msttcorefonts (Ubuntu)
> Status: Incomplete => In Progress
>
> ** Changed in: msttcorefonts (Ubuntu)
> Assignee: (unassigned) => Jean-Baptiste Lallement (jibel)
>

Thanks a lot Jean Baptiste!
Now its working!

Большое спасибо! Всё очень помогло! :)

Большое спасибо! Всё очень помогло! :)

Большое спасибо! Всё очень помогло! :)

Большое спасибо! Всё очень помогло! :)

Here is the debdiff to fix this issue as well as bug 431217 and bug 274421

Changed in msttcorefonts (Ubuntu):
status: In Progress → Confirmed

Большое спасибо! Всё получилось, нет вопросов :)

Changed in msttcorefonts (Ubuntu):
assignee: Jean-Baptiste Lallement (jibel) → Fabrice Coutadeur (fabricesp)
status: Confirmed → In Progress
Fabrice Coutadeur (fabricesp) wrote :

Looks good (and confirmed as a working solution by 3 users).
Uploaded. Thank you very much for your work!

Fabrice

Changed in msttcorefonts (Ubuntu):
assignee: Fabrice Coutadeur (fabricesp) → nobody
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package msttcorefonts - 3.0ubuntu1

---------------
msttcorefonts (3.0ubuntu1) lucid; urgency=low

  * debian/postinst.in : Check validity of proxy setting (LP : #274421)
  * update-ms-font : improve error handling (LP: #431217)(LP: #464422)
    - Don't fail if the fonts failed to download and display a message
      to run dpkg-reconfigure ttf-mscorefonts-installer later
    - Retry all mirrors for all fonts
    - Drop --dns-timeout option of wget an rely on system timeout
    - Increase --connect-timeout for slow connections
 -- Jean-Baptiste Lallement <email address hidden> Tue, 12 Jan 2010 22:23:40 +0100

Changed in msttcorefonts (Ubuntu):
status: Fix Committed → Fix Released
Changed in msttcorefonts (Debian):
status: New → Fix Released
rahan (fan2rahan) wrote :

I have erase all packets ttf-mscorefonts from HDD (/apt/info/....)
and reinstall and all fine ;)

Changed in msttcorefonts (Ubuntu):
status: Fix Released → Fix Committed
Przemek K. (azrael) on 2010-02-04
Changed in msttcorefonts (Ubuntu):
status: Fix Committed → Fix Released
Changed in msttcorefonts (Ubuntu):
status: Fix Released → Fix Committed

please stop playing with the status. It is fixed and released in version 3.2 of the package in lucid.
Thanks for your understanding.

Changed in msttcorefonts (Ubuntu):
status: Fix Committed → Fix Released

I am sorry if I change the status of your bug but I didn't make anything
wrong other than using my Linux Destop just clicking on the link "do you
want to send this bug..." when they appars on screen every time. I do
not play.

Le 22/02/2010 23:13, Jean-Baptiste Lallement a écrit :
> please stop playing with the status. It is fixed and released in version 3.2 of the package in lucid.
> Thanks for your understanding.
>
> ** Changed in: msttcorefonts (Ubuntu)
> Status: Fix Committed => Fix Released
>

Jean-Baptiste wasn't talking about you, but about Hans Groothuis.

On 23 February 2010 08:43, xXOvOXx <email address hidden> wrote:
> I am sorry if I change the status of your bug but I didn't make anything
> wrong other than using my Linux Destop just clicking on the link "do you
> want to send this bug..." when they appars on screen every time. I do
> not play.
>
>
> Le 22/02/2010 23:13, Jean-Baptiste Lallement a écrit :
>> please stop playing with the status. It is fixed and released in version 3.2  of the package in lucid.
>> Thanks for your understanding.
>>
>> ** Changed in: msttcorefonts (Ubuntu)
>>         Status: Fix Committed =>  Fix Released
>>
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
## Przemysław Kulczycki <<=>> Azrael Nightwalker ##
# Jabber/XMPP/Gtalk/Tlen ID: azrael[na]jabster.pl #
# (Co to jest? Zobacz na: http://jabberfaq.info ) #
## www: http://reksio.ftj.agh.edu.pl/~azrael/ #####

Changed in msttcorefonts (Ubuntu):
status: Fix Released → Fix Committed
Przemek K. (azrael) on 2010-02-24
Changed in msttcorefonts (Ubuntu):
status: Fix Committed → Fix Released
robs9 (robs9) on 2010-03-03
Changed in msttcorefonts (Ubuntu):
assignee: nobody → rob999 (rob999s)
assignee: rob999 (rob999s) → nobody
Melmo (dawn23-2002) on 2010-04-09
Changed in msttcorefonts (Ubuntu):
status: Fix Released → Confirmed
Changed in msttcorefonts (Ubuntu):
status: Confirmed → Fix Released
genniii (genntri) wrote :

This is sunday April 18th of 2010 which means soon there will be a new improved updated version of Ubuntu
I keep seeing it said that a fix for the msttcorefonts is released but so far all instructions I have found and tried have failed to fix the problem
However I steadfastly am holding on to the hope that the problem which was known but apparently not fixed in 9.10 will be fixed in the next updated version release and that th enext updated version will just work when it is loaded and turned on

bct (bcemtanrisever) on 2010-04-20
Changed in msttcorefonts (Ubuntu):
status: Fix Released → Fix Committed
genniii (genntri) wrote :

updated
msttcorefonts doing same as usual = error

Fabrice Coutadeur (fabricesp) wrote :

As explained by Jean Baptiste, this is fixed in Lucid, and in this case, the correct status is Fix Released.
Please keep the status as Fix Released.

Fabrice

Changed in msttcorefonts (Ubuntu):
status: Fix Committed → Fix Released

@genniii, your original report (bug 524195) is a duplicate of bug 274421 which is a different problem than this one.
Please try the workaround in comment https://bugs.edge.launchpad.net/ubuntu/+source/msttcorefonts/+bug/274421/comments/36

Thanks

Бляха-муха!!! Все такие умные!!! А вы по русски объяснить можете???

на "на общепонятном" ;))) ..вчи англійську!

http://translate.google.com/#en|ru|%0A%0A%40amrita%2C%0A%0AThis%20implies%20that%20the%20script%20tries%20to%20use%20the%20proxy%20address%20http%3A%2F%2F%3A8080%2F%20to%20download%20the%20fonts%2C%20which%20is%20obviously%20an%20erroneous%20value.%0A%0AIf%20you%27re%20not%20using%20a%20proxy%2C%20you%20can%20set%20the%20proxy%20address%20to%20blank.%20Open%20a%20terminal%20and%20run%3A%0A%24%20echo%20%22set%20msttcorefonts%2Fhttp_proxy%20%22%20|%20sudo%20debconf-communicate%0A%0AIf%20you%27re%20using%20a%20proxy%20to%20access%20the%20net%20then%20run%20the%20following%20command%20%28change%20PROXY%20with%20your%20proxy%20address%2C%20for%20exemple%20http%3A%2F%2F192.168.0.1%3A3128%2F%29%20%3A%0A%24%20echo%20%22set%20msttcorefonts%2Fhttp_proxy%20PROXY%22%20|%20sudo%20debconf-communicate%0A%0AEnter%20your%20password%20when%20you%27re%20asked%20for%20it.%0AYou%20can%20check%20if%20the%20value%20is%20correctly%20set%20with%20the%20debconf-show%20command%0A%0AHope%20this%20helps.%0A

On Thu, Apr 22, 2010 at 8:32 AM, Himalaya <email address hidden> wrote:

> Бляха-муха!!! Все такие умные!!! А вы по русски объяснить можете???
>
> --
> package ttf-mscorefonts-installer 3.0 failed to install/upgrade
> https://bugs.launchpad.net/bugs/464422
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Regards,
Yuriy Padlyak

на "на общепонятном" )) ..вчи англ йську!

http://translate.google.com/#en|ru|%0A%0A%40amrita%2C%0A%0AThis%20implies%20that%20the%20script%20tries%20to%20use%20the%20proxy%20address%20http%3A%2F%2F%3A8080%2F%20to%20download%20the%20fonts%2C%20which%20is%20obviously%20an%20erroneous%20value.%0A%0AIf%20you%27re%20not%20using%20a%20proxy%2C%20you%20can%20set%20the%20proxy%20address%20to%20blank.%20Open%20a%20terminal%20and%20run%3A%0A%24%20echo%20%22set%20msttcorefonts%2Fhttp_proxy%20%22%20|%20sudo
%20debconf-
communicate%0A%0AIf%20you%27re%20using%20a%20proxy%20to%20access%20the%20net%20then%20run%20the%20following%20command%20%28change%20PROXY%20with%20your%20proxy%20address%2C%20for%20exemple%20http%3A%2F%2F192.168.0.1%3A3128%2F%29%20%3A%0A%24%20echo%20%22set%20msttcorefonts%2Fhttp_proxy%20PROXY%22%20|%20sudo
%20debconf-
communicate%0A%0AEnter%20your%20password%20when%20you%27re%20asked%20for%20it.%0AYou%20can%20check%20if%20the%20value%20is%20correctly%20set%20with%20the
%20debconf-show%20command%0A%0AHope%20this%20helps.%0A

On Thu, Apr 22, 2010 at 8:32 AM, Himalaya <email address hidden> wrote:

> Бляха-муха!!! Все такие умные!!! А вы по русски объяснить можете?
а сам сможешь эту краказябру прочитать?
все пишут про одно и тоже, но по русски им всем за падло?

SueN (sue-newland) wrote :

I tried the experimental patched installer that Jean-Baptiste mentioned in an earlier comment, this is for Karmic, and they worked. I just followed those steps exactly as is.

SueN (sue-newland) wrote :

It has been stated that in Lucid version 3.2 of this package is fixed. However that is not true. It will not fail but if you watch the details in fact the same old connection problems still occur. I was successful adding the experimental patched installer that Jean-Baptiste mentioned and that did in fact work.

@Suen, the version from Lucid and the PPA are nearly the same. I would be very interested if you could file a new report and attach the failed log from the new version in lucid when it fails.
Thanks in advance.

Changed in msttcorefonts (Ubuntu):
assignee: nobody → damianamariutei@yahoo.it (damianamariutei)
Changed in msttcorefonts (Ubuntu):
assignee: damianamariutei@yahoo.it (damianamariutei) → nobody
Hugh Parker (hcp) wrote :

I'm using 10.04, and trying to install ttf-mscorefonts-installer 3.2. I still get the error.

I'm behind a filtering proxy / firewall - there is no access to the web here except through a proxy. ttf-mscorefonts-installer doesn't use the system proxy settings, so it fails to connect to the internet to download these fonts.

This bug is marked as fix released, and the comments above say that 3.2 should work, but 3.2 still has the bug.

This bug is marked as affecting msttcorefonts, but the package it affects is now called ttf-mscorefonts-installer.

Changed in msttcorefonts (Ubuntu):
assignee: nobody → rolfgoedecke (rolfgoedecke)
status: Fix Released → Incomplete

Hi,

We have fixed lot of issues with proxies in 3.0 but some may still remains. Please file a new report instead of reopening this one (run ubuntu-bug ttf-mscorefonts-installer) and also attach the file /var/log/apt/term.log to the new report. We'll see if we can improve things in newer releases.
msttcorefonts is the name of the source package and ttf-mscorefonts-installer is the name of the binary package (the deb file) Many binary packages can be build from a source package.

rolfgoedecke, only assign a report to yourself if you plan to fix it. What kind of fix do you want to implement ?

Thanks all for your understanding.

Changed in msttcorefonts (Ubuntu):
status: Incomplete → Fix Released
dino99 (9d9) wrote :

Seems outdated now; closing as per #98 above.

Changed in baltix:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.